# eAU-Anfragen auflisten

`GET https://{tenant}.stamp.eu/rest/eau/requests`

## Query-Parameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `employee_id` | string \| null | nein |
| `employee` | string \| null | nein |
| `status` | `draft`, `validated`, `sent`, `interim`, `answered`, `cancelled`, `rejected` \| null | nein |
| `leave_request_ids[]` | string[] | nein |
| `from` | string \| null | nein |
| `to` | string \| null | nein |

## Antworten

### 200: Paginated set of `EauRequestResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object[] | ja |  |
| `data[].id` | string | ja |  |
| `data[].employee_id` | string | ja |  |
| `data[].employee_name` | string | nein |  |
| `data[].leave_request_id` | string | ja |  |
| `data[].status` | string | ja |  |
| `data[].health_insurance_company_number` | string | ja |  |
| `data[].absence_start` | string | ja |  |
| `data[].reference` | string | ja |  |
| `data[].record_id` | string | ja |  |
| `data[].is_cancellable` | boolean | ja |  |
| `data[].cancelled_request_id` | string | ja |  |
| `data[].sent_at` | string | ja |  |
| `data[].created_at` | string | ja |  |
| `data[].snapshot` | object | ja |  |
| `data[].snapshot.first_name` | string | ja |  |
| `data[].snapshot.last_name` | string | ja |  |
| `data[].snapshot.birth_date` | string | ja |  |
| `data[].snapshot.birth_name` | string | ja |  |
| `data[].snapshot.birth_place` | string | ja |  |
| `data[].snapshot.insurance_number` | string | ja |  |
| `data[].confirmed_absence` | object \| null | nein |  |
| `data[].confirmed_absence.from` | string | ja |  |
| `data[].confirmed_absence.until` | string | ja |  |
| `data[].confirmed_absence.determined_at` | string | ja |  |
| `data[].confirmed_absence.recorded_from` | string | ja |  |
| `data[].confirmed_absence.recorded_until` | string | ja |  |
| `data[].latest_response` | object \| null | nein |  |
| `data[].latest_response.id` | string | ja |  |
| `data[].latest_response.code` | string | ja |  |
| `data[].latest_response.label` | string | ja |  |
| `data[].latest_response.is_interim` | boolean | ja |  |
| `data[].latest_response.is_cancellation` | boolean | ja |  |
| `data[].latest_response.valid` | boolean | ja |  |
| `data[].latest_response.nachweis_from` | string | ja |  |
| `data[].latest_response.nachweis_until` | string | ja |  |
| `data[].latest_response.nachweis_until_expected` | boolean | ja |  |
| `data[].latest_response.received_at` | string | ja |  |
| `data[].latest_response.invalidated_at` | string | ja |  |
| `data[].responses` | string | nein |  |
| `links` | object | ja |  |
| `links.first` | string \| null | ja |  |
| `links.last` | string \| null | ja |  |
| `links.prev` | string \| null | ja |  |
| `links.next` | string \| null | ja |  |
| `meta` | object | ja |  |
| `meta.current_page` | integer | ja |  |
| `meta.from` | integer \| null | ja |  |
| `meta.last_page` | integer | ja |  |
| `meta.links` | object[] | ja | Generated paginator links. |
| `meta.links[].url` | string \| null | ja |  |
| `meta.links[].label` | string | ja |  |
| `meta.links[].active` | boolean | ja |  |
| `meta.path` | string \| null | ja | Base path for paginator generated URLs. |
| `meta.per_page` | integer | ja | Number of items shown per page. |
| `meta.to` | integer \| null | ja | Number of the last item in the slice. |
| `meta.total` | integer | ja | Total number of items being paginated. |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
